PageRenderTime 17ms queryFilters 103ms Sphinxql 258ms app.CodeModel.GetByIds 518ms findMatchingLines 28ms GetByIds 546ms meta 0ms repositoryFilters 6ms languageFilters 2ms sourceFilters 3ms

421,407 results for 'php empty repo:dadyday/template' (17 ms)

Source

Language

Repository

modinstall.class.php http://modx-revo-ja.googlecode.com/svn/ | PHP | 898 lines
1<?php
2/*
83    public function loadSettings($class = 'modInstallSettings') {
84        $path = dirname(__FILE__).'/'.strtolower($class).'.class.php';
85        $included = @include_once $path;
100    public function loadLexicon($class = 'modInstallLexicon') {
101        $path = dirname(__FILE__).'/'.strtolower($class).'.class.php';
102        $included = @include $path;
137            case modInstall::MODE_UPGRADE_EVO :
138                $included = @ include MODX_INSTALL_PATH . 'manager/includes/config.inc.php';
139                if ($included && isset ($dbase))
143            case modInstall::MODE_UPGRADE_REVO_ADVANCED :
144                $included = @ include MODX_CORE_PATH . 'config/' . MODX_CONFIG_KEY . '.inc.php';
145                if ($included && isset ($dbase)) {
784        if (defined('MODX_CORE_PATH') && file_exists(MODX_CORE_PATH) && is_dir(MODX_CORE_PATH)) {
785            if (file_exists(MODX_CORE_PATH . 'xpdo/xpdo.class.php') && file_exists(MODX_CORE_PATH . 'model/modx/modx.class.php')) {
786                $exists = true;
lang.php https://code.google.com/p/enanocms/ | PHP | 791 lines
1<?php
2
112		if ( !$q )
113			$db->_die('lang.php - main select query');
114		
115		if ( $db->numrows() < 1 )
116			$db->_die('lang.php - There are no languages installed');
117		
162			if ( !$q )
163				$db->_die('lang.php - selecting language string data');
164			if ( $row = $db->fetchrow() )
184				if ( !defined('ENANO_ALLOW_LOAD_NOLANG') )
185					$db->_die('lang.php - No strings for language ' . $this->lang_code);
186			}
233		if ( empty($contents) )
234			$db->_die('lang.php - empty language file...');
235		
plugin.php https://squirrelmail.svn.sourceforge.net/svnroot/squirrelmail | PHP | 944 lines
1<?php
2
10 * @copyright &copy; 1999-2007 The SquirrelMail Project Team
11 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
12 * @version $Id: plugin.php 12400 2007-05-17 16:36:13Z kink $
21function use_plugin ($name) {
22    if (file_exists(SM_PATH . "plugins/$name/setup.php")) {
23        include_once(SM_PATH . "plugins/$name/setup.php");
104 *
105 * Note that unlike PHP's array_merge function, matching array keys
106 * will not overwrite each other, instead, values under such keys
153                $plugin_ret = $function($args);
154                if (!empty($plugin_ret)) {
155                    $ret = sqm_array_merge($ret, $plugin_ret);
276  /**
277   * check if variable is empty. if var is not set, php empty
278   * returns true without error notice.
plugin.php https://squirrelmail.svn.sourceforge.net/svnroot/squirrelmail | PHP | 1,036 lines
1<?php
2
10 * @copyright 1999-2012 The SquirrelMail Project Team
11 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
12 * @version $Id: plugin.php 14249 2012-01-02 02:09:17Z pdontthink $
21function use_plugin ($name) {
22    if (file_exists(SM_PATH . "plugins/$name/setup.php")) {
23        include_once(SM_PATH . "plugins/$name/setup.php");
104 *
105 * Note that unlike PHP's array_merge function, matching array keys
106 * will not overwrite each other, instead, values under such keys
153                $plugin_ret = $function($args);
154                if (!empty($plugin_ret)) {
155                    $ret = sqm_array_merge($ret, $plugin_ret);
276  /**
277   * check if variable is empty. if var is not set, php empty
278   * returns true without error notice.
CHANGELOG.php http://vanphongphamdm.googlecode.com/svn/trunk/ | PHP | 3,622 lines
51# Bug #360 Ajax calls recorded as last page
52# Bug #310 bug in shop.browse.php empty category
53
25223.09.2009 mauri
253# Fixed EU VAT ID in ps_product.php and ps_checkout.php
254# Fixed undefined index in ps_order_chenge.php
86514.07.2008 soeren
866^ Task #2240 - mf description also in shop.browse.php and browse_header_manufacturer.tpl.php 
867# Task #2227 - When Joomla cache is enabled Product list with table doesn't work 
1337- removed email_*.html (localized email templates)
1338^ changed Order Confirmation Email to use a php-based template (/order_emails/confirmation_email.tpl.php)
1339+ custom registration/user fields are sent with confirmation email now 
1350# Task #1848 - In IE7 it is possible to move a product into the same category, doing so results in product being placed in no category
1351# Task #1839 - Empty name, empty price in product list (extended layout)
1352# Task #1851 - Quantity Start and Quantity End language strings missing from List Prices
admin.php git://pkgs.fedoraproject.org/wordpress | PHP | 851 lines
146?>
147<?php if ( !empty($_POST['submit'] ) ) : ?>
148<div id="message" class="updated fade"><p><strong><?php _e('Options saved.') ?></strong></p></div>
224		<td><?php echo htmlspecialchars($ip); ?></td>
225		<td style="padding: 0 .5em; font-weight:bold; color: #fff; background-color: <?php echo $color; ?>"><?php echo ($status ? __('Accessible') : __('Re-trying') ); ?></td>
226		
310					<p><?php esc_html_e( $alert['msg'] ); ?></p>
311					<p>More information is available at <a href="https://akismet.com/errors/<?php echo $alert['code']; ?>">https://akismet.com/errors/<?php echo $alert['code']; ?></a></p>
312				</div>
327		return;
328	} elseif ( ( empty($_SERVER['SCRIPT_FILENAME']) || basename($_SERVER['SCRIPT_FILENAME']) == 'edit-comments.php' ) &&  wp_next_scheduled('akismet_schedule_cron_recheck') ) {
329		function akismet_warning() {
766function akismet_add_comment_author_url() {
767    if ( !empty( $_POST['id'] ) && !empty( $_POST['url'] ) && check_admin_referer( 'comment_author_url_nonce' ) ) {
768        global $wpdb;
functions.php git://pkgs.fedoraproject.org/virtuoso-opensource | PHP | 3,081 lines
37// coming from the login.php page.
38if ( ! strstr ( $PHP_SELF, "login.php" ) && ! empty ( $GLOBALS["login"] ) ) {
39  $GLOBALS["login"] = "";
703  // if we are looking at a view, then always use "entry"
704  if ( strstr ( $PHP_SELF, "view_m.php" ) ||
705    strstr ( $PHP_SELF, "view_w.php" ) ||
2687// Convert HTML entities in 8bit
2688// Only supported for PHP4 (not PHP3)
2689function html_to_8bits ( $html ) {
2948  // if we are looking at a view, then always use "entry"
2949  if ( strstr ( $PHP_SELF, "view_m.php" ) ||
2950    strstr ( $PHP_SELF, "view_w.php" ) ||
2950    strstr ( $PHP_SELF, "view_w.php" ) ||
2951    strstr ( $PHP_SELF, "view_v.php" ) ||
2952    strstr ( $PHP_SELF, "view_t.php" ) )
edit_entry.php git://pkgs.fedoraproject.org/WebCalendar | PHP | 1,645 lines
126
127if ( empty ( $date ) && empty ( $month ) ) {
128  if ( empty ( $year ) )
197
198    $cal_date = ( ! empty ( $override ) && ! empty ( $date )
199      ? $date // Leave $cal_date to what was set in URL with date=YYYYMMDD.
579      <input type="hidden" name="eType" value="' . $eType . '" />'
580   . ( ! empty ( $id ) && ( empty ( $copy ) || $copy != '1' ) ? '
581      <input type="hidden" name="cal_id" value="' . $id . '" />' : '' )
1035      } else {
1036        if ( ! empty ( $defusers ) && ! empty ( $participants[$l] ) )
1037          // Default selection of participants was in the URL.
1135     . 'name="rpt_end_use" id="rpt_untilf" value="f" '
1136     . ( empty ( $rpt_end ) && empty ( $rpt_count ) ? $checked : '' )
1137     . ' onclick="toggle_until()" /><label for="rpt_untilf">'
admin.php https://git01.codeplex.com/officialwp | PHP | 834 lines
145?>
146<?php if ( !empty($_POST['submit'] ) ) : ?>
147<div id="message" class="updated fade"><p><strong><?php _e('Options saved.') ?></strong></p></div>
223		<td><?php echo htmlspecialchars($ip); ?></td>
224		<td style="padding: 0 .5em; font-weight:bold; color: #fff; background-color: <?php echo $color; ?>"><?php echo ($status ? __('Accessible') : __('Re-trying') ); ?></td>
225		
292					<p><?php esc_html_e( $alert['msg'] ); ?></p>
293					<p>More information is available at <a href="https://akismet.com/errors/<?php echo $alert['code']; ?>">https://akismet.com/errors/<?php echo $alert['code']; ?></a></p>
294				</div>
309		return;
310	} elseif ( ( empty($_SERVER['SCRIPT_FILENAME']) || basename($_SERVER['SCRIPT_FILENAME']) == 'edit-comments.php' ) &&  wp_next_scheduled('akismet_schedule_cron_recheck') ) {
311		function akismet_warning() {
749function akismet_add_comment_author_url() {
750    if ( !empty( $_POST['id'] ) && !empty( $_POST['url'] ) && check_admin_referer( 'comment_author_url_nonce' ) ) {
751        global $wpdb;
update-core.php https://bitbucket.org/JacobTyler/fame4good-wp.git | PHP | 891 lines
1<?php
2/**
26'wp-admin/import-mt.php',
27'wp-admin/import-rss.php',
28'wp-admin/import-textpattern.php',
657
658	$php_version    = phpversion();
659	$mysql_version  = $wpdb->db_version();
661	$development_build = ( false !== strpos( $old_wp_version . $wp_version, '-' )  ); // a dash in the version indicates a Development release
662	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
663	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
671	if ( !$mysql_compat && !$php_compat )
672		return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version ) );
673	elseif ( !$php_compat )
673	elseif ( !$php_compat )
674		return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version, $php_version ) );
675	elseif ( !$mysql_compat )
update-core.php https://bitbucket.org/KamranMackey/wordpress.git | PHP | 879 lines
1<?php
2/**
26'wp-admin/import-mt.php',
27'wp-admin/import-rss.php',
28'wp-admin/import-textpattern.php',
644
645	$php_version    = phpversion();
646	$mysql_version  = $wpdb->db_version();
648	$development_build = ( false !== strpos( $old_wp_version . $wp_version, '-' )  ); // a dash in the version indicates a Development release
649	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
650	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
658	if ( !$mysql_compat && !$php_compat )
659		return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version ) );
660	elseif ( !$php_compat )
660	elseif ( !$php_compat )
661		return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version, $php_version ) );
662	elseif ( !$mysql_compat )
PackageManagerDisplay.php https://github.com/mikmagic/sugarcrm_dev.git | PHP | 607 lines
1<?php
2/*********************************************************************************
41require_once('include/ytree/Tree.php');
42require_once('include/ytree/Node.php');
43require_once('ModuleInstall/PackageManager/ListViewPackages.php');
74        $error_html = "";
75		if(!empty($mi_errors)){
76			$error_html = "<tr><td><span>";
202        }
203        if($form_action == 'install.php' && (empty($releases) || count($releases['packages']) == 0)){
204        	//return false;
227    	$output = "<div id='login_panel'><div class='hd'><b>".$mod_strings['HDR_LOGIN_PANEL']."</b></div>";
228        $output .= "<div class='bd'><form><table><tr><td>".$mod_strings['LBL_USERNAME']."</td><td><input type='text' name='login_panel_username' id='login_panel_username' value='".$credentials['username']."'></td><td><a href='http://www.sugarcrm.com/crm/index.php?option=com_registration&task=register' target='blank'>".$mod_strings['LNK_NEW_ACCOUNT']."</a></td>";
229
517            $credentials = PackageManager::getCredentials();
518            if(empty($credentials['username']) || empty($credentials['password'])){
519            	//$header_text = "<font color='red'><b>".$mod_strings['ERR_CREDENTIALS_MISSING']."</b></font>";
update-core.php https://bitbucket.org/cubeee/wp-fin.git | PHP | 632 lines
52		} else {
53			$php_compat     = version_compare( $php_version, $update->php_version, '>=' );
54			if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
59			if ( !$mysql_compat && !$php_compat )
60				$message = sprintf( __('You cannot update because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $update->current, $update->php_version, $update->mysql_version, $php_version, $mysql_version );
61			elseif ( !$php_compat )
61			elseif ( !$php_compat )
62				$message = sprintf( __('You cannot update because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires PHP version %2$s or higher. You are running version %3$s.'), $update->current, $update->php_version, $php_version );
63			elseif ( !$mysql_compat )
154				'version'       => $wp_version . '.1.next.minor',
155				'php_version'   => $required_php_version,
156				'mysql_version' => $required_mysql_version,
422	<script type="text/javascript">
423	window.location = '<?php echo self_admin_url( 'about.php?updated' ); ?>';
424	</script>
update-core.php https://bitbucket.org/chimbien/mekongtest.git | PHP | 901 lines
1<?php
2/**
26'wp-admin/import-mt.php',
27'wp-admin/import-rss.php',
28'wp-admin/import-textpattern.php',
667
668	$php_version    = phpversion();
669	$mysql_version  = $wpdb->db_version();
671	$development_build = ( false !== strpos( $old_wp_version . $wp_version, '-' )  ); // a dash in the version indicates a Development release
672	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
673	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
681	if ( !$mysql_compat && !$php_compat )
682		return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version ) );
683	elseif ( !$php_compat )
683	elseif ( !$php_compat )
684		return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version, $php_version ) );
685	elseif ( !$mysql_compat )
config.inc.php https://github.com/ebusiness-2012/Tribu-des-gones.git | PHP | 139 lines
1<?php
2/*
23*  @version  Release: $Revision: 8937 $
24*  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
25*  International Registered Trademark & Property of PrestaShop SA
39
40/* Improve PHP configuration to prevent issues */
41ini_set('upload_max_filesize', '100M');
49/* No settings file? goto installer...*/
50if (!file_exists(dirname(__FILE__).'/settings.inc.php'))
51{
57}
58require_once(dirname(__FILE__).'/settings.inc.php');
59
74{
75	if (substr($_SERVER['SCRIPT_NAME'], -9) == 'index.php' && empty($_SERVER['QUERY_STRING']))
76		$_SERVER['REQUEST_URI'] = dirname($_SERVER['SCRIPT_NAME']).'/';
PackageManagerDisplay.php https://github.com/vincentamari/SuperSweetAdmin.git | PHP | 607 lines
1<?php
2/*********************************************************************************
41require_once('include/ytree/Tree.php');
42require_once('include/ytree/Node.php');
43require_once('ModuleInstall/PackageManager/ListViewPackages.php');
74        $error_html = "";
75		if(!empty($mi_errors)){
76			$error_html = "<tr><td><span>";
202        }
203        if($form_action == 'install.php' && (empty($releases) || count($releases['packages']) == 0)){
204        	//return false;
227    	$output = "<div id='login_panel'><div class='hd'><b>".$mod_strings['HDR_LOGIN_PANEL']."</b></div>";
228        $output .= "<div class='bd'><form><table><tr><td>".$mod_strings['LBL_USERNAME']."</td><td><input type='text' name='login_panel_username' id='login_panel_username' value='".$credentials['username']."'></td><td><a href='http://www.sugarcrm.com/crm/index.php?option=com_registration&task=register' target='blank'>".$mod_strings['LNK_NEW_ACCOUNT']."</a></td>";
229
517            $credentials = PackageManager::getCredentials();
518            if(empty($credentials['username']) || empty($credentials['password'])){
519            	//$header_text = "<font color='red'><b>".$mod_strings['ERR_CREDENTIALS_MISSING']."</b></font>";
update-core.php https://github.com/jpwannabi/tiendaelfracaso.git | PHP | 647 lines
53		} else {
54			$php_compat     = version_compare( $php_version, $update->php_version, '>=' );
55			if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
60			if ( !$mysql_compat && !$php_compat )
61				$message = sprintf( __('You cannot update because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $update->current, $update->php_version, $update->mysql_version, $php_version, $mysql_version );
62			elseif ( !$php_compat )
62			elseif ( !$php_compat )
63				$message = sprintf( __('You cannot update because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires PHP version %2$s or higher. You are running version %3$s.'), $update->current, $update->php_version, $php_version );
64			elseif ( !$mysql_compat )
155				'version'       => $wp_version . '.1.next.minor',
156				'php_version'   => $required_php_version,
157				'mysql_version' => $required_mysql_version,
423	<script type="text/javascript">
424	window.location = '<?php echo self_admin_url( 'about.php?updated' ); ?>';
425	</script>
gsitemap.php https://github.com/DaveBenNoah/PrestaShop-modules.git | PHP | 868 lines
1<?php
2
9 * It is also available through the world-wide-web at this URL:
10 * http://opensource.org/licenses/afl-3.0.php* If you did not receive a copy of the license and are unable to
11 * obtain it through the world-wide-web, please send an email
22 *  @version  Release: $Revision: 7515 $
23 *  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
24 *  International Registered Trademark & Property of PrestaShop SA
84		if (file_exists(dirname(__FILE__).'/../../override/classes/Shop.php'))
85			rename(dirname(__FILE__).'/../../override/classes/Shop.php', dirname(__FILE__).'/../../override/classes/Shop.origin.php');
86		if (!copy(dirname(__FILE__).'/override14/classes/Shop.php', dirname(__FILE__).'/../../override/classes/Shop.php'))
149			Configuration::updateValue('GSITEMAP_DISABLE_LINKS', $meta);
150			$this->emptySitemap();
151			$this->createSitemap();
158		if (_PS_VERSION_ < 1.5)
159			require(_PS_MODULE_DIR_.'gsitemap/backward_compatibility/backward.php');
160
update.php https://github.com/envex/Micro-Theme.git | PHP | 88 lines
1<?php
2/**
4 * 
5 * The /inc/update.php file includes
6 * the Theme's automatic update functions
32 * 
33 * @link 	http://php.net/manual/en/function.basename.php 						basename()
34 * @link 	http://php.net/manual/en/function.dirname.php 						dirname()
34 * @link 	http://php.net/manual/en/function.dirname.php 						dirname()
35 * @link 	http://php.net/manual/en/function.empty.php 						empty()
36 * 
45
46	if (empty($checked_data->last_checked) && empty($up_options->api_key))
47		return $checked_data;
74	// Feed the update data into WP updater
75	if (!empty($response)) 
76		$checked_data->response[$theme_base] = $response;
check_variables_php.ml https://github.com/llvm-djk/pfff.git | OCaml | 954 lines
27 * This module helps find stupid PHP mistakes related to variables. See
28 * tests/php/scheck/variables.php for examples of bugs currently
29 * detected by this checker. This module not only checks but also annotates
244             * check_functions_php.ml, but right now this file uses
245             * ast_php.ml and not ast_php_simple.ml, so there are some
246             * differences in the logic so we double check things here.
713      ()
714  (* http://php.net/manual/en/function.empty.php
715   * "empty() does not generate a warning if the variable does not exist."
772            let params =
773              def.Ast_php.f_params +> Ast_php.unparen +> Ast_php.uncomma_dots
774            in
935  (Ast_php.Program prog) +>
936    Visitor_php.mk_visitor { Visitor_php.default_visitor with
937    Visitor_php.kexpr = (fun (k, _) x ->
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21